<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin</title>
    <link rel="stylesheet" href="./style.css">
    <script src="vue.min.js"></script>
    <link rel="shortcut icon" href="https://www.rhbgroup.com/rhb.ico">
    <!-- <script defer src="https://kit.fontawesome.com/6a15bad380.js" crossorigin="anonymous"></script> -->
    <script src="./axios.min.js"></script>
    <script src="./moment.min.js"></script>
    <script src='/v-calendar.umd.min.js'></script>
</head>

<body>
    <div id="rhb" class="container" @keydown.esc="modal = 0" tabindex="-1">
        <div class="heading">
            <div class="title">
                <svg width="41" height="41" viewBox="0 0 41 41" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M40.8313 20.4125L20.4163 40.8325L0 20.4125L20.4163 -4.19617e-05L40.8313 20.4125Z"
                        fill="#EF3E42" />
                </svg>
                <h2>Dashboard</h2>
            </div>
            <!-- <p><span>1</span>RHB</p> -->
        </div>
        <div class="options">
            <h3>Filters</h3>
            <div class="col">
                <label for="">Start date</label>
                <input type="date" v-model="startDate" @click="showStartDate = !showStartDate">
            </div>
            <div class="col">
                <label for="">End date</label>
                <input type="date" v-model="endDate" @click="showEndDate = !showEndDate">
            </div>
            <div class="button-row">
                <button @click="filter">Filter</button>
                <button @click="extract">Extract</button>
            </div>
        </div>
        <div class="main-container">
            <table :class="{ loading: isFetchingPage }">
                <tr class="heading">
                    <th v-for="col in columns">{{col.name}}</th>
                </tr>
                <tr class="spinner-container" v-if="isFetchingPage">
                    <td>
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                            <path
                                d="M304 48c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-48 368c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm208-208c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zM96 256c0-26.51-21.49-48-48-48S0 229.49 0 256s21.49 48 48 48 48-21.49 48-48zm12.922 99.078c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.491-48-48-48zm294.156 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.49-48-48-48zM108.922 60.922c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.491-48-48-48z" />
                        </svg>
                    </td>
                </tr>
                <tr v-for="row in fields" @click="showDetails(row.id)">
                    <td>{{row.id.slice(0, 18) + '...'}}</td>
                    <td>{{(row.customerName.length < 23 ? row.customerName : row.customerName.slice(0, 23) + '...')}}
                    </td>
                    <td>{{row.employmentStatusName}}</td>
                    <td>{{moment(row.submissionDateTime).format('ll')}}</td>
                    <td class="status" :class="row.isComplete ? 'disabled' : 'disabled'">
                        <button :class="row.approvalStatus">{{row.approvalStatus}}</button>
                    </td>
                </tr>
            </table>
            <div class="pagination">
                <button :class="currentPage == 1 ? 'disabled' : ''" @click="changePage(currentPage, '-')">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                        <path
                            d="M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z" />
                    </svg>
                    <span>Prev</span>
                </button>
                <!-- <a href="#1" class="active" @click="setPage">1</a> -->
                <a :href="'#'+ n"
                    :class="{ active: currentPage == n, disabled: n != totalPages && n > paginationBuffer2 || n < paginationBuffer1 && n != 1 }"
                    v-for="n in totalPages">{{n}}</a>
                <button :class="currentPage == totalPages ? 'disabled' : ''" @click="changePage(currentPage, '+')">
                    <span>Next</span>
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                        <path
                            d="M96 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L242.8 256L73.38 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C112.4 476.9 104.2 480 96 480z" />
                    </svg>
                </button>
            </div>
        </div>
        <div class="modal" v-if="modal">
            <div class="details-modal">
                <div class="heading">
                    <h2>{{detailsModal.id}}</h2>
                    <button type="button" @click="modal = 0">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                            <path
                                d="M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z" />
                        </svg>
                    </button>
                </div>
                <div class="sections">
                    <div>
                        <h4>Personal Information</h4>
                        <div class="table">
                            <div class="col">
                                <p v-for="col in detailedColumns[0]">{{col.name}}</p>
                            </div>
                            <div class="col">
                                <p>{{detailsModal.customerName}}</p>
                                <p>{{detailsModal.idTypeName}}</p>
                                <p>{{detailsModal.customerIdNumber}}</p>
                                <p>{{detailsModal.dateOfBirth}}</p>
                                <p>{{detailsModal.mobileNumber}}</p>
                                <p>{{detailsModal.altMobileNumber}}</p>
                                <p>{{detailsModal.emailAddress}}</p>
                                <p>{{detailsModal.stateName}}</p>
                                <p>{{detailsModal.cityName}}</p>
                                <p>{{detailsModal.residentialStatusName}}</p>
                                <p>{{detailsModal.maritalStatusName}}</p>
                                <p>{{detailsModal.numberOfDependants}}</p>
                                <p>{{detailsModal.isDeclaredAndConfirmed}}</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <h4>Employment Details</h4>
                        <div class="table">
                            <div class="col">
                                <p v-for="col in detailedColumns[1]">{{col.name}}</p>
                            </div>
                            <div class="col">
                                <p>{{detailsModal.employmentStatusName}}</p>
                                <p>{{"RM"+detailsModal.previousMonthlyGrossIncome}}</p>
                                <p>{{"RM"+detailsModal.latestMonthlyGrossIncome}}</p>
                                <p>{{"RM"+detailsModal.latestMonthlyNetIncome}}</p>
                                <p>{{detailsModal.spouseEmploymentStatusName}}</p>
                                <p>{{"RM"+detailsModal.spouseLatestMonthlyGrossIncome}}</p>
                                <a :href='domain + "/api/v1/urus/downloadables/" + detailsModal.id'>Download</a>
                            </div>
                        </div>
                    </div>
                    <div>
                        <h4>Bank Loans</h4>
                        <div class="table" v-for="(col, i) in detailsModal.financingDetails">
                            <div class="col">
                                <p>Account Num</p>
                                <p>Facility</p>
                                <p>Bank</p>
                            </div>
                            <div class="col">
                                <p>{{col.accountNumber}}</p>
                                <p>{{col.facilityName}}</p>
                                <p>{{col.bankName}}</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <h4>Other Loans</h4>
                        <div class="table" v-for="(col, i) in detailsModal.otherLoanCommitments">
                            <div class="col">
                                <p>Lender</p>
                                <p>Amount</p>
                                <p>Facility</p>
                            </div>
                            <div class="col">
                                <p>{{col.lender}}</p>
                                <p>{{col.amount}}</p>
                                <p>{{col.facilityName}}</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div v-if="detailsModal.isApproved != true && detailsModal.approvalStatus != 'rejected'"
                    :class="{ loading: isUpdatingStatus }" class="actions-wrapper">
                    <button @click="updateStatus(1)" class="action action-approve">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                            <path
                                d="M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z" />
                        </svg>
                    </button>
                    <button @click="updateStatus(0)" class="action action-reject">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                            <path
                                d="M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z" />
                        </svg>
                    </button>
                </div>
                <!-- <div class="status disabled">
                        <button class="approved">Approved</button>
                    </div> -->
            </div>
        </div>
        <div class="modal" v-if="showStartDate">
            <div class="date-picker-wrapper">
                <v-date-picker class="date-picker" v-model="startDate"></v-date-picker>
                <div class="button-row">
                    <button @click="showStartDate = 0">Apply</button>
                </div>
            </div>
        </div>
        <div class="modal" v-if="showEndDate">
            <div class="date-picker-wrapper">
                <v-date-picker class="date-picker" v-model="endDate"></v-date-picker>
                <div class="button-row">
                    <button @click="showEndDate = 0">Apply</button>
                </div>
            </div>
        </div>
        <transition name="slide-up" @click="showToast == false">
            <div class="toast-container" v-if="showToast">
                <div class="toast">
                    <span>{{toastMessage}}</span>
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                        <path
                            d="M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z" />
                    </svg> -->
                </div>
            </div>
        </transition>

    </div>
</body>

<script src="script.js"></script>

</html>